<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Task41.55-65-75</title>
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">

  
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
  <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
  <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>

   <!-- Google Font: Source Sans Pro -->
   <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
   <!-- Ionicons -->
   <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
   <!-- Tempusdominus Bootstrap 4 -->
   <link rel="stylesheet" href="plugins/tempusdominus-bootstrap-4/css/tempusdominus-bootstrap-4.min.css">
   <!-- iCheck -->
   <link rel="stylesheet" href="plugins/icheck-bootstrap/icheck-bootstrap.min.css">
   <!-- JQVMap -->
   <link rel="stylesheet" href="plugins/jqvmap/jqvmap.min.css">
   <!-- Theme style -->
   <link rel="stylesheet" href="dist/css/adminlte.min.css">
   <!-- overlayScrollbars -->
   <link rel="stylesheet" href="plugins/overlayScrollbars/css/OverlayScrollbars.min.css">
   <!-- Daterange picker -->
   <link rel="stylesheet" href="plugins/daterangepicker/daterangepicker.css">
   <!-- summernote -->
   <link rel="stylesheet" href="plugins/summernote/summernote-bs4.min.css">
</head>

<body>

  <div class="wrapper">

    <!-- Navbar -->
  <nav class="main-header navbar navbar-expand navbar-white navbar-light">
    <!-- Left navbar links -->
    <ul class="navbar-nav">
      <li class="nav-item">
        <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="index3.html" class="nav-link">Home</a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="#" class="nav-link">Contact</a>
      </li>
    </ul>

    <!-- Right navbar links -->
    <ul class="navbar-nav ml-auto">
      <!-- Navbar Search -->
      <li class="nav-item">
        <a class="nav-link" data-widget="navbar-search" href="#" role="button">
          <i class="fas fa-search"></i>
        </a>
        <div class="navbar-search-block">
          <form class="form-inline">
            <div class="input-group input-group-sm">
              <input class="form-control form-control-navbar" type="search" placeholder="Search" aria-label="Search">
              <div class="input-group-append">
                <button class="btn btn-navbar" type="submit">
                  <i class="fas fa-search"></i>
                </button>
                <button class="btn btn-navbar" type="button" data-widget="navbar-search">
                  <i class="fas fa-times"></i>
                </button>
              </div>
            </div>
          </form>
        </div>
      </li>

      <!-- Messages Dropdown Menu -->
      <li class="nav-item dropdown">
        <a class="nav-link" data-toggle="dropdown" href="#">
          <i class="far fa-comments"></i>
          <span class="badge badge-danger navbar-badge">3</span>
        </a>
        <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
          <a href="#" class="dropdown-item">
            <!-- Message Start -->
            <div class="media">
              <img src="dist/img/user1-128x128.jpg" alt="User Avatar" class="img-size-50 mr-3 img-circle">
              <div class="media-body">
                <h3 class="dropdown-item-title">
                  Brad Diesel
                  <span class="float-right text-sm text-danger"><i class="fas fa-star"></i></span>
                </h3>
                <p class="text-sm">Call me whenever you can...</p>
                <p class="text-sm text-muted"><i class="far fa-clock mr-1"></i> 4 Hours Ago</p>
              </div>
            </div>
            <!-- Message End -->
          </a>
          <div class="dropdown-divider"></div>
          <a href="#" class="dropdown-item">
            <!-- Message Start -->
            <div class="media">
              <img src="dist/img/user8-128x128.jpg" alt="User Avatar" class="img-size-50 img-circle mr-3">
              <div class="media-body">
                <h3 class="dropdown-item-title">
                  John Pierce
                  <span class="float-right text-sm text-muted"><i class="fas fa-star"></i></span>
                </h3>
                <p class="text-sm">I got your message bro</p>
                <p class="text-sm text-muted"><i class="far fa-clock mr-1"></i> 4 Hours Ago</p>
              </div>
            </div>
            <!-- Message End -->
          </a>
          <div class="dropdown-divider"></div>
          <a href="#" class="dropdown-item">
            <!-- Message Start -->
            <div class="media">
              <img src="dist/img/user3-128x128.jpg" alt="User Avatar" class="img-size-50 img-circle mr-3">
              <div class="media-body">
                <h3 class="dropdown-item-title">
                  Nora Silvester
                  <span class="float-right text-sm text-warning"><i class="fas fa-star"></i></span>
                </h3>
                <p class="text-sm">The subject goes here</p>
                <p class="text-sm text-muted"><i class="far fa-clock mr-1"></i> 4 Hours Ago</p>
              </div>
            </div>
            <!-- Message End -->
          </a>
          <div class="dropdown-divider"></div>
          <a href="#" class="dropdown-item dropdown-footer">See All Messages</a>
        </div>
      </li>
      <!-- Notifications Dropdown Menu -->
      <li class="nav-item dropdown">
        <a class="nav-link" data-toggle="dropdown" href="#">
          <i class="far fa-bell"></i>
          <span class="badge badge-warning navbar-badge">15</span>
        </a>
        <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
          <span class="dropdown-item dropdown-header">15 Notifications</span>
          <div class="dropdown-divider"></div>
          <a href="#" class="dropdown-item">
            <i class="fas fa-envelope mr-2"></i> 4 new messages
            <span class="float-right text-muted text-sm">3 mins</span>
          </a>
          <div class="dropdown-divider"></div>
          <a href="#" class="dropdown-item">
            <i class="fas fa-users mr-2"></i> 8 friend requests
            <span class="float-right text-muted text-sm">12 hours</span>
          </a>
          <div class="dropdown-divider"></div>
          <a href="#" class="dropdown-item">
            <i class="fas fa-file mr-2"></i> 3 new reports
            <span class="float-right text-muted text-sm">2 days</span>
          </a>
          <div class="dropdown-divider"></div>
          <a href="#" class="dropdown-item dropdown-footer">See All Notifications</a>
        </div>
      </li>
      <li class="nav-item">
        <a class="nav-link" data-widget="fullscreen" href="#" role="button">
          <i class="fas fa-expand-arrows-alt"></i>
        </a>
      </li>
      <li class="nav-item">
        <a class="nav-link" data-widget="control-sidebar" data-controlsidebar-slide="true" href="#" role="button">
          <i class="fas fa-th-large"></i>
        </a>
      </li>
    </ul>
  </nav>
  <!-- /.navbar -->

  <!-- Main Sidebar Container -->
  <aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <a href="index3.html" class="brand-link">
      <img src="dist/img/AdminLTELogo.png" alt="AdminLTE Logo" class="brand-image img-circle elevation-3" style="opacity: .8">
      <span class="brand-text font-weight-light">AdminLTE 3</span>
    </a>

    <!-- Sidebar -->
    <div class="sidebar">
      <!-- Sidebar user panel (optional) -->
      <div class="user-panel mt-3 pb-3 mb-3 d-flex">
        <div class="image">
          <img src="dist/img/user2-160x160.jpg" class="img-circle elevation-2" alt="User Image">
        </div>
        <div class="info">
          <a href="#" class="d-block">Alexander Pierce</a>
        </div>
      </div>

      <!-- SidebarSearch Form -->
      <div class="form-inline">
        <div class="input-group" data-widget="sidebar-search">
          <input class="form-control form-control-sidebar" type="search" placeholder="Search" aria-label="Search">
          <div class="input-group-append">
            <button class="btn btn-sidebar">
              <i class="fas fa-search fa-fw"></i>
            </button>
          </div>
        </div>
      </div>

      <!-- Sidebar Menu -->
      <nav class="mt-2">
        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
          <!-- Add icons to the links using the .nav-icon class
              with font-awesome or any other icon font library -->
          <li class="nav-item ">
            <a href="#" class="nav-link active">
              <i class="nav-icon fas fa-tachometer-alt"></i>
              <p>
                Dashboard
                <i class="right fas fa-angle-left"></i>
              </p>
            </a>
          </li>
        </ul>
      </nav>
      <!-- /.sidebar-menu -->
      </div>
      <!-- /.sidebar -->
    </aside>

    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
      <!-- Content Header (Page header) -->
      <div class="content-header">
        <div class="container-fluid">
          <div class="row mb-2">
            <div class="col-sm-6">
              <h1 class="m-0">Dashboard</h1>
            </div><!-- /.col -->
            <div class="col-sm-6">
              <ol class="breadcrumb float-sm-right">
                <li class="breadcrumb-item"><a href="#">Home</a></li>
                <li class="breadcrumb-item active">Dashboard v1</li>
              </ol>
            </div><!-- /.col -->
          </div><!-- /.row -->
        </div><!-- /.container-fluid -->
      </div>
      <!-- /.content-header -->
    
    <!-- Main content -->

      <!-- Main content -->
      <div class="container">
        <h2 style="text-align: center;">DANH SÁCH ĐƠN HÀNG</h2>
        <div class="container jumbotron">
          <div class="row">
            <label class="col-sm-2 col-form-label">Trạng thái Order</label>
            <div class="col-sm-3">
              <select id="select-order-status" class="form-control">
                <option value="all">(All)</option>
                <option value="open">Open</option>
                <option value="confirmed">Confirmed</option>
                <option value="cancel">Cancel</option>
              </select>
            </div>
            <label class="col-sm-2 col-form-label">Loại pizza</label>
            <div class="col-sm-3">
              <select id="select-pizza" class="form-control">
                <option value="all">(All)</option>
                <option value="Hawaii">Hawaii</option>
                <option value="Bacon">Bacon</option>
                <option value="Seafood">Seafood</option>
              </select>
            </div>
            <button class="btn btn-primary col-sm-2" id="btn-filter-orders">Lọc</button>
          </div>
        </div>
        <table class="table table-bordered table-striped table-hover" id="order-table">
          <thead>
            <tr>
              <th>Order Code</th>
              <th>Kích cỡ combo</th>
              <th>Loại pizza</th>
              <th>Nước uống</th>
              <th>Thành tiền</th>
              <th>Họ và tên</th>
              <th>Số điện thoại</th>
              <th>Trạng thái</th>
              <th>Chi tiết</th>
            </tr>
        </table>
      </div>
      <!-- Order detail modal -->
      <div>
        <div id="order-modal" class="modal fade" tabindex="-1">
          <div class="modal-dialog">
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title" id="h5-modal-title">Order Detail!!!</h5>
                <button class="close" data-dismiss="modal">&times;</button>
              </div>
              <div class="modal-body">
                <form>
                  <div class="row form-group">
                    <div class="col-sm-4">
                      <label for="input-order-code">Order Code</label>
                    </div>
                    <div class="col-sm-8">
                      <input type="text" id="input-order-code" name="ordercode" placeholder="Order code"
                        class="form-control">
                    </div>
                  </div>
                  <div class="row form-group">
                    <div class="col-sm-4">
                      <label for="select-combo">Pizza Size</label>
                    </div>
                    <div class="col-sm-8">
                      <select type="select" id="select-combo" name="combo" class="form-control">
                        <option value="S">S</option>
                        <option value="M">M</option>
                        <option value="L">L</option>
                      </select>
                    </div>
                  </div>
                  <div class="row form-group">
                    <div class="col-sm-4">
                      <label for="input-duong-kinh">Đường kính</label>
                    </div>
                    <div class="col-sm-8">
                      <input type="text" id="input-duong-kinh" name="duongkinh" placeholder="Đường kính"
                        class="form-control">
                    </div>
                  </div>
                  <div class="row form-group">
                    <div class="col-sm-4">
                      <label for="input-suon">Sườn</label>
                    </div>
                    <div class="col-sm-8">
                      <input type="text" id="input-suon" name="suon" placeholder="Sườn (miếng)" class="form-control">
                    </div>
                  </div>
                  <div class="row form-group">
                    <div class="col-sm-4">
                      <label for="input-salad">Salad</label>
                    </div>
                    <div class="col-sm-8">
                      <input type="text" id="input-salad" name="salad" placeholder="Salad (gr)" class="form-control">
                    </div>
                  </div>
                  <div class="row form-group">
                    <div class="col-sm-4">
                      <label for="select-pizza">Pizza Type</label>
                    </div>
                    <div class="col-sm-8">
                      <select type="select" id="select-pizza" name="pizza" class="form-control">
                        <option value="Hawaii">Hawaii</option>
                        <option value="Bacon">Bacon</option>
                        <option value="Seafood">Seafood</option>
                      </select>
                    </div>
                  </div>
                  <div class="row form-group">
                    <div class="col-sm-4">
                      <label for="input-id-voucher">Id Voucher</label>
                    </div>
                    <div class="col-sm-8">
                      <input type="text" id="input-id-voucher" name="idvoucher" placeholder="Id Voucher"
                        class="form-control">
                    </div>
                  </div>
                  <div class="row form-group">
                    <div class="col-sm-4">
                      <label for="input-thanh-tien">Thành tiền</label>
                    </div>
                    <div class="col-sm-8">
                      <input type="text" id="input-thanh-tien" name="price" placeholder="Thành tiền" class="form-control">
                    </div>
                  </div>
                  <div class="row form-group">
                    <div class="col-sm-4">
                      <label for="input-giam-gia">Giảm giá</label>
                    </div>
                    <div class="col-sm-8">
                      <input type="text" id="input-giam-gia" name="discount" placeholder="Giảm giá" class="form-control">
                    </div>
                  </div>
                  <div class="row form-group">
                    <div class="col-sm-4">
                      <label for="select-drink">Loại đồ uống</label>
                    </div>
                    <div class="col-sm-8">
                      <select type="select" id="select-drink" name="drink" class="form-control"></select>
                    </div>
                  </div>
                  <div class="row form-group">
                    <div class="col-sm-4">
                      <label for="input-so-luong-nuoc-uong">Số lượng nước uống</label>
                    </div>
                    <div class="col-sm-8">
                      <input type="text" id="input-so-luong-nuoc-uong" name="soluongnuoc" placeholder="Số lượng nước uống"
                        class="form-control">
                    </div>
                  </div>
                  <div class="row form-group">
                    <div class="col-sm-4">
                      <label for="input-name">Họ và tên</label>
                    </div>
                    <div class="col-sm-8">
                      <input type="text" id="input-name" name="name" placeholder="Họ và tên" class="form-control">
                    </div>
                  </div>
                  <div class="row form-group">
                    <div class="col-sm-4">
                      <label for="input-email">Email</label>
                    </div>
                    <div class="col-sm-8">
                      <input type="text" id="input-email" name="email" placeholder="Email" class="form-control">
                    </div>
                  </div>
                  <div class="row form-group">
                    <div class="col-sm-4">
                      <label for="input-phone">Số điện thoại</label>
                    </div>
                    <div class="col-sm-8">
                      <input type="text" id="input-phone" name="phone" placeholder="Số điện thoại" class="form-control">
                    </div>
                  </div>
                  <div class="row form-group">
                    <div class="col-sm-4">
                      <label for="input-dia-chi">Địa chỉ</label>
                    </div>
                    <div class="col-sm-8">
                      <input type="text" id="input-dia-chi" name="address" placeholder="Địa chỉ" class="form-control">
                    </div>
                  </div>
                  <div class="row form-group">
                    <div class="col-sm-4">
                      <label for="input-message">Lời nhắn</label>
                    </div>
                    <div class="col-sm-8">
                      <input type="text" id="input-message" name="message" placeholder="Lời nhắn" class="form-control">
                    </div>
                  </div>
                  <div class="row form-group">
                    <div class="col-sm-4">
                      <label for="input-order-date">Ngày order</label>
                    </div>
                    <div class="col-sm-8">
                      <input type="text" id="input-order-date" name="orderdate" placeholder="Ngày order"
                        class="form-control">
                    </div>
                  </div>
                  <div class="row form-group">
                    <div class="col-sm-4">
                      <label for="input-edit-date">Ngày chỉnh sửa</label>
                    </div>
                    <div class="col-sm-8">
                      <input type="text" id="input-edit-date" name="editdate" placeholder="Ngày chỉnh sửa"
                        class="form-control">
                    </div>
                  </div>
                  <div class="row form-group">
                    <div class="col-sm-6">
                      <button class="col-sm-12 btn btn-warning" id="btn-confirm">Confirm</button>
                    </div>
                    <div class="col-sm-6">
                      <button class="col-sm-12 btn btn-danger" id="btn-cancel">Cancel</button>
                    </div>
                  </div>
                </form>
              </div>
              <div class="modal-footer">
                <button class="btn btn-secondary" id="btn-close" data-dismiss="modal">Close</button>
              </div>
            </div>
          </div>
        </div>
      </div>
     

    <!-- /.content-wrapper -->
    <footer class="main-footer">
      <strong>Copyright &copy; 2014-2021 <a href="https://adminlte.io">AdminLTE.io</a>.</strong>
      All rights reserved.
      <div class="float-right d-none d-sm-inline-block">
        <b>Version</b> 3.2.0
      </div>
    </footer>
</div>

</body>

<script>
  "use strict";
  $(document).ready(function () {
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
  
    const gBASE_URL = "http://203.171.20.210:8080/devcamp-pizza365/orders";

    var gOrdersArr = [];
    const gCOLUMN_CODE = 0;
    const gCOLUMN_COMBO = 1;
    const gCOLUMN_PIZZA = 2;
    const gCOLUMN_DRINK = 3;
    const gCOLUMN_AMOUNT = 4;
    const gCOLUMN_NAME = 5;
    const gCOLUMN_PHONE = 6;
    const gCOLUMN_ORDER_STATUS = 7;
    const gCOLUMN_DETAIL = 8;

    const gUSER_COL = ["orderCode", "kichCo", "loaiPizza", "idLoaiNuocUong", "thanhTien", "hoTen", "soDienThoai", "trangThai", "detail"]

    var gOrderId;
    var gOrderCode;
    var gOrderObj;

    // set and mapping data table
    var gOrderTable = $("#order-table").DataTable({
      "columns": [
        { "data": gUSER_COL[gCOLUMN_CODE] },
        { "data": gUSER_COL[gCOLUMN_COMBO] },
        { "data": gUSER_COL[gCOLUMN_PIZZA] },
        { "data": gUSER_COL[gCOLUMN_DRINK] },
        { "data": gUSER_COL[gCOLUMN_AMOUNT] },
        { "data": gUSER_COL[gCOLUMN_NAME] },
        { "data": gUSER_COL[gCOLUMN_PHONE] },
        { "data": gUSER_COL[gCOLUMN_ORDER_STATUS] },
        { "data": gUSER_COL[gCOLUMN_DETAIL] }
      ],
      
      "columnDefs": [
        {
          "targets": gCOLUMN_DETAIL,
          "defaultContent": "<button class='info-order btn btn-primary'>Chi tiết</button>"
        }]
    });

    /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */
   
    onPageLoading();
    
    //add event on loading the drink list
    getDrinkListAjaxClick();

    //add event for the filter button
    $("#btn-filter-orders").click(function () {
      onBtnFilterOrderClick();
    })
    // add event for the detail button
    $("#order-table").on("click", ".info-order", function () {
      onButtonChiTietClick(this); 
    });

    // add event for the confirm button
    $("#btn-confirm").on("click", function () {
      onButtonConfirmClick(this); 
    });
    // add event for the cancel button
    $("#btn-cancel").on("click", function () {
      onButtonCancelClick(this); 
    });

    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    
    // function for loading page
    function onPageLoading() {
      // lấy data từ server
      $.ajax({
        url: gBASE_URL,
        type: "GET",
        dataType: 'json',
        success: function (responseObject) {
          //debugger;
          gOrdersArr = responseObject;
          loadDataToTable(responseObject);
        },
        error: function (error) {
          console.assert(error.responseText);
        }
      });
    }
    
    //function for Filter Button
    function onBtnFilterOrderClick() {
      var vFilterObj = {
        trangThai: "",
        loaiPizza: ""
      };
      
      getDataForFilter(vFilterObj);
      
      var vOrdersResult = filterOrders(vFilterObj);
      
      loadDataToTable(vOrdersResult);
    }
    
    //function to call API for getting orderCode
    function getAjaxDetailOrder(paramOrderCode) {
      "use strict";
      $.ajax({
        url: gBASE_URL + "/" + paramOrderCode,
        type: "GET",
        dataType: 'json',
        success: function (responseObject) {
          //debugger;
          handleOrderDetail(responseObject);
          gOrderObj = responseObject;
        },
        error: function (error) {
          console.assert(error.responseText);
        }
      });
    }
    
    //function for Detail Button
    function onButtonChiTietClick(paramChiTietButton) {
     
      var vRowSelected = $(paramChiTietButton).parents('tr');
      var vDatatableRow = gOrderTable.row(vRowSelected);
      var vOrderData = vDatatableRow.data();
      
      gOrderId = vOrderData.id;
      gOrderCode = vOrderData.orderCode;
      
      console.log("Order id: " + gOrderId);
      console.log("Order code: " + gOrderCode);
     
      getAjaxDetailOrder(gOrderCode);
      $("#order-modal").modal("show");
    }
    
    //function for Confirm Button
    function onButtonConfirmClick() {
      "use strict";
    
      console.log("id của đơn hàng là: " + gOrderId);
      var vObjectRequest = {
        trangThai: "confirmed" 
      };
      var vJsonString = JSON.stringify(vObjectRequest);
      
      getAjaxUpdateOrderStatus(gOrderId, vJsonString);
   
      console.log("Order đã được xác nhận!");
      $("#order-modal").modal("hide");
    }
    
    //funtion for Cancel Button
    function onButtonCancelClick() {
      "use strict";
      
      console.log("id của đơn hàng là: " + gOrderId);
      var vObjectRequest = {
        trangThai: "cancel" 
      };
      var vJsonString = JSON.stringify(vObjectRequest);
      getAjaxUpdateOrderStatus(gOrderId, vJsonString);
     
      console.log("Order đã được hủy!");
      $("#order-modal").modal("hide");
    }
    
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình */
    
    // load data to table
    function loadDataToTable(paramResponseObject) {
      
      gOrderTable.clear();
      gOrderTable.rows.add(paramResponseObject);
      gOrderTable.draw();
    }
    
    //function to get input data for Filter Button
    function getDataForFilter(paramFilterObj) {
      paramFilterObj.trangThai = $("#select-order-status").val();
      paramFilterObj.loaiPizza = $("#select-pizza").val();
    }
    
    //function for filtering purpose
    function filterOrders(paramFilterObj) {
      var vOrders = [];
      vOrders = gOrdersArr.filter(function (paramOrder) {
        return ((paramOrder.trangThai == paramFilterObj.trangThai || paramFilterObj.trangThai == "all")
          && (paramOrder.loaiPizza == paramFilterObj.loaiPizza || paramFilterObj.loaiPizza == "all"));
      });
      return vOrders;
    }
    
    //function to call API for getting the drink list
    function getDrinkListAjaxClick() {
      "use strict";
      $.ajax({
        url: "http://203.171.20.210:8080/devcamp-pizza365/drinks",
        dataType: "json",
        type: "GET",
        success: function (res) {
          console.log(res);
          handleDrinkList(res);
        },
        error: function (ajaxContext) {
          alert(ajaxContext.responseText);
        }
      });
    }
    
    //function for loading the drink list to select
    function handleDrinkList(paramDrink) {
      "use strict";
      var vArrayDrinkList = paramDrink;
      //load data to drink select
      var vSelectDrink = document.getElementById("select-drink");
      for (var bI = 0; bI < vArrayDrinkList.length; bI++) {
        var vDrinkOption = document.createElement("option");
        vDrinkOption.value = vArrayDrinkList[bI].maNuocUong;
        vDrinkOption.text = vArrayDrinkList[bI].tenNuocUong;
        vSelectDrink.appendChild(vDrinkOption);
      }
    }
    
    //function for order detail modal
    function handleOrderDetail(paramOrderObj) {
      "use strict";
      $("#input-order-code").val(paramOrderObj.orderCode);
      $("#select-combo").val(paramOrderObj.kichCo);
      $("#input-duong-kinh").val(paramOrderObj.duongKinh);
      $("#input-suon").val(paramOrderObj.suon);
      $("#input-salad").val(paramOrderObj.salad);
      $("#select-pizza").val(paramOrderObj.loaiPizza);
      $("#input-id-voucher").val(paramOrderObj.idVourcher);
      $("#input-thanh-tien").val(paramOrderObj.thanhTien);
      $("#input-giam-gia").val(paramOrderObj.giamGia);
      $("#select-drink").val(paramOrderObj.idLoaiNuocUong);
      $("#input-so-luong-nuoc-uong").val(paramOrderObj.soLuongNuoc);

      $("#input-name").val(paramOrderObj.hoTen);
      $("#input-email").val(paramOrderObj.email);
      $("#input-phone").val(paramOrderObj.soDienThoai);
      $("#input-dia-chi").val(paramOrderObj.diaChi);
      $("#input-message").val(paramOrderObj.loiNhan);

      $("#input-order-date").val(paramOrderObj.ngayTao);
      $("#input-edit-date").val(paramOrderObj.ngayCapNhat);

    }
    
    //function to call API for updating confirm status
    function getAjaxUpdateOrderStatus(paramOrderId, paramJsonString) {
      $.ajax({
        url: gBASE_URL + "/" + paramOrderId,
        data: paramJsonString,
        type: "PUT",
        contentType: "application/json", 
        success: function (paramResponse) {
          alert("Order Id: " + paramResponse.id + "status is updated succesfully!");
          console.log("%cUPDATED INFORMATION: ", "color:orange");
          console.log(paramResponse);
        },
        error: function (error) {
          console.assert(error.responseText);
        }
      });
    }
  });

</script>

<!-- ChartJS -->
<script src="plugins/chart.js/Chart.min.js"></script>
<!-- Sparkline -->
<script src="plugins/sparklines/sparkline.js"></script>
<!-- JQVMap -->
<script src="plugins/jqvmap/jquery.vmap.min.js"></script>
<script src="plugins/jqvmap/maps/jquery.vmap.usa.js"></script>
<!-- jQuery Knob Chart -->
<script src="plugins/jquery-knob/jquery.knob.min.js"></script>
<!-- daterangepicker -->
<script src="plugins/moment/moment.min.js"></script>
<script src="plugins/daterangepicker/daterangepicker.js"></script>
<!-- Tempusdominus Bootstrap 4 -->
<script src="plugins/tempusdominus-bootstrap-4/js/tempusdominus-bootstrap-4.min.js"></script>
<!-- Summernote -->
<script src="plugins/summernote/summernote-bs4.min.js"></script>
<!-- overlayScrollbars -->
<script src="plugins/overlayScrollbars/js/jquery.overlayScrollbars.min.js"></script>
<!-- AdminLTE App -->
<script src="dist/js/adminlte.js"></script>
<!-- AdminLTE for demo purposes -->
<script src="dist/js/demo.js"></script>
<!-- AdminLTE dashboard demo (This is only for demo purposes) -->
<script src="dist/js/pages/dashboard.js"></script>

</html>